module Build_Plate(){
	cube(size=[147.62,77.01,2], center=false);
}

module LCD_Hole(){
	translate([8.933,12.545,0]){
		cube(size=[80.23,53.06,2], center=false);
	}
}

module Encoder_Hole(){
	translate([108.664,60.658,0]){
		cylinder(h=2, r=4,$fn=100);
	}
}

module Stop_Button(){
	translate([127.323,53.917,0]){
		cylinder(h=2, r=3.125,$fn=100);
	}
}

module Light_Button(){
	translate([139.896,53.917,0]){
		cylinder(h=2, r=3.125,$fn=100);
	}
}

difference(){
	Build_Plate();
	LCD_Hole();
	Encoder_Hole();
	Stop_Button();
	Light_Button();
}

difference(){
	translate([0,0,-18]){
		cube(size=[147.62,77.01,18], center=false);
	}
	translate([2,2,-18]){
		cube(size=[143.62,73.01,18],center=false);
	}
	translate([143.62,5.556,-16.027]){
		cube(size=[4,26.04,3.4], center=false);
	}
	translate([10,-1,-15]){
		rotate([-90,0,0]){
			cylinder(h=4,r=1.6,$fn=100);
		}
	}
	translate([37.465,74.01,-15]){
		rotate([-90,0,0]){
			cylinder(h=4,r=1.6,$fn=100);
		}
	}
	translate([148.62,40,-15]){
		rotate([0,-90,0]){
			cylinder(h=4,r=1.6,$fn=100);
		}
	}
}

translate([135.62,65.01,-10.598]){
	cube(size=[10,10,10.598],center=false);
}

translate([135.62,2,-10.598]){
	cube(size=[10,10,10.598],center=false);
}

translate([2,71.01,-6.534]){
	cube(size=[5,5,6.534],center=false);
}

translate([2,2,-6.534]){
	cube(size=[5,5,6.534],center=false);
}